- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#body.GetFormattedEventsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#body.aspect_1)
- [FormattedAlertEvent](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FormattedAlertEvent)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FormattedAlertEvent.SCHEMA_REPRESENTATION)
- [FieldGroupData](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FieldGroupData)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FieldGroupData.SCHEMA_REPRESENTATION)
- [FieldData](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FieldData)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FieldData.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.cases.caseAlerts.connectorEvents.getFormatted

Get a formatted ConnectorEvents for a given case/alert.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/connectorEvents:formatted`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{caseAlert}/connectorEvents:formatted |

### Request body

The request body must be empty.

### Response body

Response message for GetFormattedEvent.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FormattedAlertEvent`) } ] } ``` |

| Fields ||
|---|---|
| `payload[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FormattedAlertEvent`)`` Output only. The formatted event. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.connectorEvents.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## FormattedAlertEvent

Represents a formatted alert event.

| JSON representation |
|---|
| ``` { "fields": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FieldGroupData`) } ], "identifier": string, "caseId": string, "alertIdentifier": string, "name": string, "product": string, "port": string, "sourceSystemName": string, "outcome": string, "time": string, "type": string, "artifactEntities": [ string ] } ``` |

| Fields ||
|---|---|
| `fields[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FieldGroupData`)`` Output only. The fields of the event. |
| `identifier` | `string` Output only. The identifier of the event. |
| `caseId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The case id of the event. |
| `alertIdentifier` | `string` Output only. The alert identifier of the event. |
| `name` | `string` Output only. The name of the event. |
| `product` | `string` Output only. The product of the event. |
| `port` | `string` Output only. The port of the event. |
| `sourceSystemName` | `string` Output only. The source system name of the event. |
| `outcome` | `string` Output only. The outcome of the event. |
| `time` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The time of the event. |
| `type` | `string` Output only. The type of the event. |
| `artifactEntities[]` | `string` Output only. The artifact entities of the event. |

## FieldGroupData

Group of fields.

| JSON representation |
|---|
| ``` { "groupName": string, "items": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FieldData`) } ], "order": integer, "isIntegration": boolean, "isHighlight": boolean } ``` |

| Fields ||
|---|---|
| `groupName` | `string` Output only. The name of the group. |
| `items[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.connectorEvents/getFormatted#FieldData`)`` Output only. The items in the group. |
| `order` | `integer` Output only. The order of the group. |
| `isIntegration` | `boolean` Output only. Indicates if the group is an integration. |
| `isHighlight` | `boolean` Output only. Indicates if the group is a highlight. |

## FieldData

From Siemplify.DataModel.Cases.FieldData

| JSON representation |
|---|
| ``` { "originalName": string, "name": string, "value": string } ``` |

| Fields ||
|---|---|
| `originalName` | `string` Output only. The original name of the property. |
| `name` | `string` Output only. The name of the property. |
| `value` | `string` Output only. Value of the property. |